REST API Endpoints (Legacy V1)
Portfolio Withdraw
Initiate a withdrawal of specific assets from a portfolio
POST
Initiates a withdrawal of specific assets from a portfolio.
ETH Mainnet Policy Limits (Effective March 2, 2026)
For ETH mainnet portfolios (primary_chain_id = "1"):
- Minimum withdrawal amount is
$10USD. - If selected withdrawal amount is below
$10, request is allowed only when:- total portfolio value is below
$10, and - selected withdrawal represents a full-balance withdrawal (within tolerance).
- total portfolio value is below
WITHDRAW_ETH_MAINNET_BELOW_MINIMUMWITHDRAW_ETH_MAINNET_FULL_REQUIRED_UNDER_MINIMUM
Path Parameters
The unique identifier of the portfolio
Request Headers
Your API key
Application JSON content type (usually set automatically)
Request Body
The ID of the portfolio (same as portfolioId in path)
Array of assets to withdraw
The asset ID in format “0xContractAddress:chainId” or “0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE:chainId” for native tokens
The amount to withdraw in raw units (no decimals), or “max” to withdraw all
The number of decimals for the token
Optional address to receive the withdrawn assets (defaults to portfolio owner)
If true, will validate that all specified assets have non-zero balances
Using Max Withdrawals
You can use"max" as the amount to withdraw the entire balance of an asset: